import { Users } from 'src/entities/users.entity';

declare module 'express-serve-static-core' {
  interface Request {
    user?: Users & {
      sub?: string;
      email?: string;
      role?: string;
    };
  }
}